> For the complete documentation index, see [llms.txt](https://quillainetwork.gitbook.io/quillai-network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://quillainetwork.gitbook.io/quillai-network/agent-swarm/quillshield/api-guide/api-reference/get-projects.md).

# Get Projects

This endpoint allows you to query all projects associated to your userId.

<mark style="color:blue;">`GET`</mark> <https://shield-api.quillai.network/api/v1/projects/list>

{% tabs %}
{% tab title="200 Projects Found" %}

```javascript
{
    "projects": [
        {
            "name": "testingzip",
            "id": 12
        },
        {
            "name": "testzip",
            "id": 11
        }
    ],
    "totalProjects": 2
}
```

{% endtab %}

{% tab title="400 Bad Request" %}

```javascript
{
    "message": "must have required property 'userId'"
}
```

{% endtab %}
{% endtabs %}

### Query Parameters

<table><thead><tr><th width="148">Parameter</th><th width="306">Description</th><th width="102">Data Type</th><th>Requirement</th></tr></thead><tbody><tr><td>userId</td><td>Id of the user for which you want to query the projects</td><td>String</td><td>Required</td></tr><tr><td>limit</td><td>Limt count for number of records per page</td><td>String</td><td>Optional</td></tr><tr><td>page</td><td>Page Number for pagination</td><td>String</td><td>Optional</td></tr></tbody></table>

### Response Codes

| Responses | Description  |
| --------- | ------------ |
| 🟢 200    | Success      |
| 🟠 400    | Error        |
| 🔴 401    | Unauthorised |

### Sample Response

```javascript
{
    "projects": [
        {
            "name": "testingzip",
            "id": 12
        },
        {
            "name": "testzip",
            "id": 11
        }
    ],
    "totalProjects": 2
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://quillainetwork.gitbook.io/quillai-network/agent-swarm/quillshield/api-guide/api-reference/get-projects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
